﻿using System;
using System.Windows;
using System.Windows.Controls;
using SilverlightProjectTracker.SecurityService;

namespace SilverlightProjectTracker
{
    public partial class Login : UserControl
    {
        readonly SecuritySoapClient client = new SecuritySoapClient();
        public event EventHandler GoToTimesheet;
        public event EventHandler GoToOverview;

        Button clickedButton;

        public Login()
        {
            InitializeComponent();
            client.LoginCompleted += client_LoginCompleted;
        }

        void client_LoginCompleted(object sender, LoginCompletedEventArgs e)
        {
            if (e.Result)
            {
                lblMessage.Text = "Login Succeeded!";
                App.CurrentUserName = txtLogin.Text;
                storyboardFadeAll.Begin();
            }
            else
            {
                lblMessage.Text = "Login Failed";
            }
        }

        void Button_Click(object sender, RoutedEventArgs e)
        {
            clickedButton = (Button) sender;
            if (txtLogin.Text == "")
            {
                lblMessage.Text = "Logging you in as GUEST";
                App.CurrentUserName = "GUEST";
                storyboardFadeAll.Begin();
            }
            else
            {
                lblMessage.Text = "Contacting Server";
                //try and login with the webservice
                client.LoginAsync(txtLogin.Text, txtPassword.Text);
            }
        }

        void storyboardFadeAll_Completed(object sender, EventArgs e)
        {
            if (clickedButton == cmdOverview && GoToOverview != null)
            {
                GoToOverview(this, EventArgs.Empty);
            }

            if (clickedButton == cmdTimesheet && GoToTimesheet != null)
            {
                GoToTimesheet(this, EventArgs.Empty);
            }
        }
    }
}