﻿using System;
using System.Globalization;
using System.Windows.Data;
using SilverlightProjectTracker.RestClient;

namespace SilverlightProjectTracker
{
    public class TaskDescriberConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (!(value is Timesheet))
            {
                return "I was expecting a Timesheet";
            }

            Timesheet t = (Timesheet) value;
            return string.Format("{0} spent {1} hours on {3} and did {2}%",
                                 t.UserName,
                                 t.Hours,
                                 t.PercentComplete,
                                 t.Day.ToShortDateString());
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}